package com.ruoyi.app.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 app_goods_pair
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public class AppGoodsPair extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 配对id */
    private String pairId;

    /** 物料编号 */
    @Excel(name = "物料编号")
    private String goodsId;

    public void setPairId(String pairId)
    {
        this.pairId = pairId;
    }

    public String getPairId()
    {
        return pairId;
    }
    public void setGoodsId(String goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId()
    {
        return goodsId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("pairId", getPairId())
                .append("goodsId", getGoodsId())
                .toString();
    }
}
